package com.xunwang.payment.enums.wxpay;

public enum WxRefundStatus {

    /**
     * 退款成功
     */
    SUCCESS("SUCCESS"),

    /**
     * 退款关闭
     */
    CLOSED("CLOSED"),

    /**
     * 退款处理中
     */
    PROCESSING("PROCESSING"),

    /**
     * 退款异常
     */
    ABNORMAL("ABNORMAL");

    WxRefundStatus(String type) {
        this.type = type;
    }

    /**
     * 微信官方退款类型
     */
    private final String type;

    public String getType() {
        return type;
    }
}
